List tasks
curl --request GET \
--url https://distillation.training.wandb.ai/v1/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://distillation.training.wandb.ai/v1/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://distillation.training.wandb.ai/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity": "<string>",
"project": "<string>",
"alias": "<string>",
"proxy_backend": "cloudflare",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"versions": [
{
"version": 2,
"created_at": "2023-11-07T05:31:56Z",
"routing": {
"targets": [
{
"model_ref": "openai/gpt-5.6-sol",
"weight": 1,
"params_override": {
"temperature": 0
}
}
]
},
"deployment": {
"proxy_backend": "<string>",
"status": "pending",
"applied_revision": 123,
"external_ref": "<string>",
"last_error": "<string>"
}
}
]
}
]{
"error": {
"message": "Task 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}List tasks
GET
/
tasks
List tasks
Authorizations
A personal or service-account W&B API key.
Headers
Accessible personal or team entity. Omit to use the API key's default entity.
Response
Tasks in the resolved entity.
Last modified on August 25, 2026
Was this page helpful?
⌘I